Software requirements for Client Management on site

CM master, relays and clients

The CM master requires the Oracle Java Runtime Environment (JRE) version 1.7 or higher (provided with the installation program for Windows installations).

Operating SystemMaster server 1,2,3,5,6Relays 1,2,3,4,5Clients 1,2,3,4,5
Windows

Windows Server 2003 SP2 (32/64 bit)

(tick)(tick)(tick)
Windows Server 2003 R2 (32/64 bit)(tick)(tick)(tick)
Windows Server 2008 SP2 (32/64 bit)(tick)(tick)(tick)
Windows Server 2008 R2 SP1(tick)(tick)(tick)
Windows Server 2012(tick)(tick)(tick)
Windows Server 2012 R2(tick)(tick)(tick)

Windows XP (32/64 bit)

(error)(warning)(tick)
Windows XP SP3 (32/64 bit)(error)(warning)(tick)
Windows XP Embedded SP3 (32/64 bit)(error)(warning)(tick)

Windows Vista with SP1 (32/64 bit)

(error)(warning)(tick)
Windows 7 (32/64 bit)(warning)(warning)(tick)
Windows 7 Embedded (32/64 bit)(error)(warning)(tick)
Windows 8 (32/64 bit)(warning)(warning)(tick)
Windows 8.1 (32/64 bit)(warning)(warning)(tick)
Windows 8.1 Embedded(error)(warning)(tick)
Linux

Red Hat Enterprise 4.8, 5, 6, & 7

(tick)(tick)(tick)
SUSE 10 & 11(tick)(tick)(tick)
CentOS 4.8, 5, 6, & 7(tick)(tick)(tick)
Debian 6.0 & 7.0(tick)(tick)(tick)
Ubuntu LTS (12.04 & 14.04)(tick)(tick)(tick)
Mac
Intel Based Mac OS v10.5 (Leopard)(error)(warning)(tick)
Intel Based Mac OS v10.6 (Snow Leopard)(error)(warning)(tick)
Intel Based Mac OS v10.7 (Lion)(error)(warning)(tick)
Intel Based Mac OS v10.8 (Mountain Lion)(error)(warning)(tick)
Intel Based Mac OS v10.9 (Mavericks)(error)(warning)(tick)

Legend:

(tick): Fully supported.

(warning): Supported for evaluation and proof of concept only, not recommended for production environment.

(error): Not supported.

  1. Minimum requirements do not include the total requirements for the server operating system or any other application (that is, MS SQL, MS IIS, antivirus, and so on) installed on the same server.
  2. If several Client Management components (that is, Client Management Master Server, database, or web server application) are installed together on a common server, the minimum requirements for each server component must be combined, and note 1 also applies.
  3. Actual requirements and product functionality might vary based on your system configuration and operating system.
  4. Recommendation: at least 512 Kbps connectivity from audited computer to Client Management relay.
  5. Itanium 64-bit processes are not supported.

CM database server

Platform

Supported versions

Microsoft SQL Server Express, Standard and Enterprise editions (Windows masters only)

  • Microsoft SQL Server 2008 (32/64 bit)
  • Microsoft SQL Server 2008 R2 (32/64 bit)
  • Microsoft SQL Server 2012 (32/64 bit)
  • Microsoft SQL Server 2014 (32/64 bit)

Oracle RDBMS

  • Oracle 9i: from 9.2.0.6
  • Oracle 10g: 10.0 and 10.1 (with client 9.2.0.6), 10.2 (patches might be required)
  • Oracle 11g: 11.2.0.2 (with 10.2.0.4/5 or 11.2.0.2 client), 11.2.0.3

    Note:

    Refer to the installation topics for the complete list of prerequisites.

PostgreSQL (Linux masters only)

  • PostgreSQL 8 (8.4 minimum)
  • PostgreSQL 9

BMC Client Management console

The BMC Client Management console requires the Java Runtime Environment (JRE) version 1.7 (provided with the installation program) or later.

Supported directory servers

Component

Supported Platforms

Microsoft Active Directory

Microsoft Active Directory Services (ADS) 2003, 2008, 2012

Lotus Domino

Lotus Domino 8.0, 8.5

Novell eDirectory

Novell eDirectory 8.7, 8.8

Supported browsers

The BMC Client Management user interface, specifically, the MyApps application kiosk, requires one of the following browsers:

Browser

Notes

Google Chrome (version 24 and later)

Requires the LocalLink Add-on to be installed if intranet shares are to be advertised in MyApps.

Microsoft Internet Explorer (version 8 and later)

Requires the LocalLink Add-on to be installed if intranet shares are to be advertised in MyApps.

Mozilla Firefox (version 18 and later)

Requires the LocalLink Add-on to be installed if intranet shares are to be advertised in MyApps.

Apple Safari (versions 6 and 7)

Does not support direct links to intranet shares in MyApps.

Supported email servers and platforms

Component

Supported Platforms

Email Servers with support for SMTP

  • BMC Client Management requires SMTP for sending email notifications
  • Secure SMTP (SSL)
  • Authenticated SMTP
Was this page helpful? Yes No Submitting... Thank you

Comments

  1. Nelson Pita

    Can I install the console in one MACOS system? What kind of MACOS version?

    May 20, 2015 08:31
    1. Susanne Ertle

      The  console can be installed on any supported MAC OS version, as long as the required Java version is installed on it as well.

      May 20, 2015 09:06